org.h2.mvstore

## Class CursorPos

- java.lang.Object
- - org.h2.mvstore.CursorPos

    public class CursorPos
    extends java.lang.Object

A position in a cursor

### Field Summary

Fields
`int` `index` The current index.
`Page` `page` The current page.
`CursorPos` `parent` The position in the parent page, if any.

### Constructor Summary

Constructors
Constructor and Description
`CursorPos(Page page, int index, CursorPos parent)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### page

    public Page page

The current page.

#### index

    public int index

The current index.

#### parent

    public final CursorPos parent

The position in the parent page, if any.

### Constructor Detail

#### CursorPos

    public CursorPos(Page page,
             int index,
             CursorPos parent)